Post by Amateur Programmer » Fri Jan 22, 2021 4:55 pm

Hi! I just tried updating from opencart 3.0.2.0 to 3.0.3.6, also updated php from 7.0 to 7.4. The page shows warning message texts on top of the site when loading the index page. I also get the following warning messages in the logs that I can see from the admin panel (these are the same that are shown on the site):

Code: Select all

2021-01-22 6:50:41 - PHP Unknown:  array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead in /usr/share/nginx/store.com/system/library/template/Twig/Template.php on line 533
2021-01-22 6:51:03 - PHP Notice:  Trying to access array offset on value of type bool in /usr/share/nginx/store.com/catalog/model/extension/module/so_megamenu.php on line 338
2021-01-22 6:51:03 - PHP Unknown:  Function get_magic_quotes_runtime() is deprecated in /usr/share/nginx/store.com/system/library/so/megamenu/Cache_Lite/Lite.php on line 747
2021-01-22 6:51:03 - PHP Unknown:  array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead in /usr/share/nginx/store.com/system/library/template/Twig/Template.php on line 533
These are the prominent error messages. Where should I look to fix these?


Posts

Joined
Mon Jan 11, 2021 2:59 pm

Post by xxvirusxx » Fri Jan 22, 2021 5:09 pm

Amateur Programmer wrote:
Fri Jan 22, 2021 4:55 pm

Code: Select all

catalog/model/extension/module/so_megamenu.php on line 338
/system/library/so/megamenu/Cache_Lite/Lite.php on line 747
These are not related to default opencart.
Also make sure you have moved all content from 3.0.3.6 storage in the storage location from 3.0.2.0.

My converted modules | Buy me a beer | Opencart upgrade service


User avatar
Expert Member

Posts

Joined
Tue Jul 17, 2012 10:35 pm
Location - România
Who is online

Users browsing this forum: Google [Bot] and 12 guests